# Recommend Company

POST /api/v1/recommend-company HTTP/1.1

**Request body**

```
{
            "name": "company_name",
            "domain": "company_domain_name",
            "notes": "notes"
}
```

| Param                                                 | Mandatory | Description                                                                               |
| ----------------------------------------------------- | --------- | ----------------------------------------------------------------------------------------- |
| name                                                  | N         | Company Name that you would recommended to be added in the Intellizence database          |
| domain                                                | N         | Company Domain Name that you would recommended to be added in the Intellizence database   |
| notes                                                 | N         | Any comments / notes that you want to add to help us in resolving the recommended company |
| Input either Company Name or/and Company Domain Name. |           |                                                                                           |

**Response body**

```
{
            "status": "status_code",
            "message": "status_message",
            "recommendation":{
                  "id": "recommendation_id",
                  "ETA": "ETA"
            }
}                                   
```

| Status code | Description                                      |
| ----------- | ------------------------------------------------ |
| 200         | Request to recommend a company is successful     |
| 201         | Post a valid Company Name or Company Domain Name |

| id  | Unique id given to this recommendation, which can be used to find the status of recommendation |
| --- | ---------------------------------------------------------------------------------------------- |
| ETA | ETA when this recommendation be acted upon                                                     |
